Bug 132248 - Image or frame wrap settings do not work in footnotes area
Summary: Image or frame wrap settings do not work in footnotes area
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.5
Keywords:
: 133681 133838 (view as bug list)
Depends on:
Blocks: Anchor-and-Text-Wrap Writer-Images Footnote-Endnote Frame
  Show dependency treegraph
 
Reported: 2020-04-19 10:23 UTC by Telesto
Modified: 2022-11-14 10:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (2.57 MB, application/vnd.oasis.opendocument.text)
2020-04-19 10:23 UTC, Telesto
Details
Screencast (6.96 MB, video/mp4)
2020-06-04 16:33 UTC, Telesto
Details
Writer file showing wrap problem in footnote area (93.66 KB, application/vnd.oasis.opendocument.text)
2020-06-18 17:23 UTC, R. Green
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-04-19 10:23:38 UTC
Description:
Image in frame overlaps footnote

Steps to Reproduce:
1. Open the attached file
2. Scroll to page 8, red marking
3. Drag the cat slightly up.. Look at figure 3 on the next page.. it will overlap with the footnote

Actual Results:
Image overlaps footnote

Expected Results:
Probably not?


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 4475bcd83aac7e033fc5250f268eb922bd471e7b
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: GL; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 1 Telesto 2020-04-19 10:23:57 UTC
Created attachment 159702 [details]
Example file
Comment 2 Dieter 2020-04-19 17:43:55 UTC
Image with the cat also overlaps footnote. So for me it seems, that the more general problem is, that image wrap doesn't respect footnotes.
Comment 3 Timur 2020-06-04 15:50:19 UTC Comment hidden (obsolete)
Comment 4 Timur 2020-06-04 16:01:47 UTC Comment hidden (obsolete)
Comment 5 Telesto 2020-06-04 16:33:45 UTC
Created attachment 161615 [details]
Screencast
Comment 6 Timur 2020-06-04 18:15:12 UTC
I'll set New and Inherited. Although I'm not an optimist for layout engine to be changed. Better check if this is already reported.
Comment 7 Timur 2020-06-04 20:29:19 UTC
*** Bug 133681 has been marked as a duplicate of this bug. ***
Comment 8 R. Green 2020-06-18 17:23:19 UTC
Created attachment 162183 [details]
Writer file showing wrap problem in footnote area

Open the attached file. Look at the footnote area on page 1. The wrap settings for both images and frames are non-functional. This applies whether the image/frame is anchored inside or outside the footnotes area.

Edited issue title to make it clearer.
Comment 9 Commit Notification 2021-05-21 12:33:34 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/95a716f12a0dacdd5d80a6f3d98eadcc2f079fcf

sw: layout: fix footnote UAF on tdf132248-3.odt (also, tdf134127-1.odt)

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2021-05-21 14:46:15 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/512da58e5ce822744e4d0b8139595baf1c623035

sw: layout: fix footnote UAF on tdf132248-3.odt (also, tdf134127-1.odt)

It will be available in 7.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Dieter 2022-05-02 17:00:25 UTC
Michael, I don't think, that this is fixed. I can still reproduce the problem with steps described in comment 8. Can you have a look at it?

Version: 7.3.3.2 (x64) / LibreOffice Community
Build ID: d1d0ea68f081ee2800a922cac8f79445e4603348
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL
Comment 12 Dieter 2022-07-01 06:30:03 UTC
*** Bug 133838 has been marked as a duplicate of this bug. ***